//
//  BMKLocInfoView.m
//  BMKSignInOCDemo
//
//  Created by v_chiyuanwei on 2020/7/16.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "BMKLocInfoView.h"

#import <BaiduMapAPI_Search/BMKSearchComponent.h>

@interface BMKLocInfoView () <UITableViewDelegate, UITableViewDataSource>

@property (nonatomic, strong) UILabel *titleLabel;
@property (nonatomic, strong) UIView *sptrLine;
@property (nonatomic, strong) UITableView *tableView;

@end

@implementation BMKLocInfoView

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.backgroundColor = [UIColor whiteColor];
        [self setupViews];
    }
    
    return self;
}

- (void)setupViews {
    [self addSubview:self.titleLabel];
    [self addSubview:self.sptrLine];
    [self addSubview:self.tableView];
}

#pragma mark - <UITableViewDelegate, UITableViewDataSource>
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.dataArr.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"UITableViewCell"];
        cell.textLabel.font = [UIFont systemFontOfSize:14];
    }
    
    BMKPoiInfo *poi = self.dataArr[indexPath.row];
    cell.textLabel.text = poi.name;
    cell.detailTextLabel.text = poi.address;
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    if (self.didSelectRowBlock) {
        BMKPoiInfo *poi = self.dataArr[indexPath.row];
        self.didSelectRowBlock(poi);
    }
}

#pragma mark -
- (void)setDataArr:(NSArray<BMKPoiInfo *> *)dataArr {
    _dataArr = dataArr;
    
    [self.tableView reloadData];
}

#pragma mark -
- (UILabel *)titleLabel {
    if (!_titleLabel) {
        _titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(17, 5, 100, 20)];
        _titleLabel.font = [UIFont systemFontOfSize:15];
        _titleLabel.text = @"我的位置";
    }
    return _titleLabel;
}

- (UIView *)sptrLine {
    if (!_sptrLine) {
        _sptrLine = [[UIView alloc] initWithFrame:CGRectMake(0, CGRectGetMaxY(self.titleLabel.frame) + 5, self.frame.size.width, 0.5)];
        _sptrLine.backgroundColor = [UIColor colorWithWhite:0.0 alpha:0.5];
    }
    return _sptrLine;
}

- (UITableView *)tableView {
    if (!_tableView) {
        _tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, CGRectGetMaxY(self.sptrLine.frame), self.frame.size.width, self.frame.size.height - CGRectGetMaxY(self.sptrLine.frame)) style:UITableViewStylePlain];
        _tableView.delegate = self;
        _tableView.dataSource = self;
    }
    return _tableView;
}

@end
