//
//  BMKSignInTabView.m
//  BMKSignInOCDemo
//
//  Created by v_chiyuanwei on 2020/7/16.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "BMKSignInTabView.h"

@interface BMKSignInTabView ()

/// 获取位置
@property (nonatomic, strong) UIButton *locBtn;
/// 签到
@property (nonatomic, strong) UIButton *signInBtn;

@end

@implementation BMKSignInTabView

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:0.7f];
        [self setupViews];
    }
    
    return self;
}

- (void)setupViews {
    [self addSubview:self.locBtn];
    [self addSubview:self.signInBtn];
}

- (void)locBtnAction {
    if (self.didClickTabBlock) {
        self.didClickTabBlock(0);
    }
}

- (void)signInBtnAction{
    if (self.didClickTabBlock) {
        self.didClickTabBlock(1);
    }
}

- (UIButton *)locBtn {
    if (!_locBtn) {
        _locBtn = [UIButton buttonWithType:UIButtonTypeSystem];
        _locBtn.frame = CGRectMake(20, 10, (self.frame.size.width - 60) / 2, self.frame.size.height - 20);
        _locBtn.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:1.f];
        [_locBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        _locBtn.titleLabel.font = [UIFont systemFontOfSize:16];
        [_locBtn setTitle:@"获取位置" forState:UIControlStateNormal];
        _locBtn.layer.cornerRadius = 20;
        _locBtn.layer.masksToBounds = YES;
        
        [_locBtn addTarget:self action:@selector(locBtnAction) forControlEvents:UIControlEventTouchUpInside];
    }
    return _locBtn;
}


- (UIButton *)signInBtn {
    if (!_signInBtn) {
        _signInBtn = [UIButton buttonWithType:UIButtonTypeSystem];
        _signInBtn.frame = CGRectMake(CGRectGetMaxX(self.locBtn.frame) + 20, 10, (self.frame.size.width - 60) / 2, self.frame.size.height - 20);
        _signInBtn.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:1.f];
        [_signInBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        _signInBtn.titleLabel.font = [UIFont systemFontOfSize:16];
        [_signInBtn setTitle:@"签到" forState:UIControlStateNormal];
        _signInBtn.layer.cornerRadius = 20;
        _signInBtn.layer.masksToBounds = YES;
        
        [_signInBtn addTarget:self action:@selector(signInBtnAction) forControlEvents:UIControlEventTouchUpInside];
    }
    return _signInBtn;
}

@end
